Bug 993035 - [abrt] simple-mtpfs-0.1-6.fc19: fuse_fs_read_buf: Process /usr/bin/simple-mtpfs was killed by signal 11 (SIGSEGV)
[abrt] simple-mtpfs-0.1-6.fc19: fuse_fs_read_buf: Process /usr/bin/simple-mtp...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: simple-mtpfs (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Hatina
Fedora Extras Quality Assurance
abrt_hash:8817b0a3d9feb8fefd086a374f8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 09:10 EDT by Frank Ch. Eigler
Modified: 2016-05-31 21:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-12 01:48:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (12.18 KB, text/plain)
2013-08-05 09:10 EDT, Frank Ch. Eigler
no flags Details
File: cgroup (141 bytes, text/plain)
2013-08-05 09:10 EDT, Frank Ch. Eigler
no flags Details
File: core_backtrace (1.09 KB, text/plain)
2013-08-05 09:10 EDT, Frank Ch. Eigler
no flags Details
File: dso_list (1007 bytes, text/plain)
2013-08-05 09:10 EDT, Frank Ch. Eigler
no flags Details
File: environ (3.44 KB, text/plain)
2013-08-05 09:10 EDT, Frank Ch. Eigler
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-05 09:10 EDT, Frank Ch. Eigler
no flags Details
File: maps (5.06 KB, text/plain)
2013-08-05 09:10 EDT, Frank Ch. Eigler
no flags Details
File: open_fds (382 bytes, text/plain)
2013-08-05 09:10 EDT, Frank Ch. Eigler
no flags Details
File: proc_pid_status (961 bytes, text/plain)
2013-08-05 09:10 EDT, Frank Ch. Eigler
no flags Details
File: var_log_messages (796 bytes, text/plain)
2013-08-05 09:10 EDT, Frank Ch. Eigler
no flags Details

  None (edit)
Description Frank Ch. Eigler 2013-08-05 09:10:10 EDT
Description of problem:
trying to read some files out of DCIM/*

Version-Release number of selected component:
simple-mtpfs-0.1-6.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        simple-mtpfs /media/mtpfs
crash_function: fuse_fs_read_buf
executable:     /usr/bin/simple-mtpfs
kernel:         3.9.9-302.fc19.x86_64
runlevel:       unknown
uid:            500

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 fuse_fs_read_buf at fuse.c:1774
 #1 fuse_lib_read at fuse.c:3250
 #2 do_read at fuse_lowlevel.c:1232
 #3 fuse_ll_process_buf at fuse_lowlevel.c:2441
 #4 fuse_session_loop at fuse_loop.c:40
 #5 fuse_loop at fuse.c:4311
 #6 fuse_main_common at helper.c:357
 #7 SMTPFileSystem::exec at simple-mtpfs-fuse.cpp:353
Comment 1 Frank Ch. Eigler 2013-08-05 09:10:13 EDT
Created attachment 782826 [details]
File: backtrace
Comment 2 Frank Ch. Eigler 2013-08-05 09:10:16 EDT
Created attachment 782827 [details]
File: cgroup
Comment 3 Frank Ch. Eigler 2013-08-05 09:10:18 EDT
Created attachment 782828 [details]
File: core_backtrace
Comment 4 Frank Ch. Eigler 2013-08-05 09:10:22 EDT
Created attachment 782829 [details]
File: dso_list
Comment 5 Frank Ch. Eigler 2013-08-05 09:10:25 EDT
Created attachment 782830 [details]
File: environ
Comment 6 Frank Ch. Eigler 2013-08-05 09:10:28 EDT
Created attachment 782831 [details]
File: limits
Comment 7 Frank Ch. Eigler 2013-08-05 09:10:30 EDT
Created attachment 782832 [details]
File: maps
Comment 8 Frank Ch. Eigler 2013-08-05 09:10:33 EDT
Created attachment 782833 [details]
File: open_fds
Comment 9 Frank Ch. Eigler 2013-08-05 09:10:36 EDT
Created attachment 782834 [details]
File: proc_pid_status
Comment 10 Frank Ch. Eigler 2013-08-05 09:10:39 EDT
Created attachment 782835 [details]
File: var_log_messages
Comment 11 Peter Hatina 2013-08-15 08:40:00 EDT
Can you, please, provide versions of FUSE, kernel interface version? You can get the list of version by:

$ running simple-mtpfs -V

I run F19, I get:

simple-mtpfs version 0.1
FUSE library version: 2.9.3
fusermount version: 2.9.3
using FUSE kernel interface version 7.19

I am able to copy any content out of my Galaxy Nexus device to F19 box with no segfault.
Comment 12 Fedora End Of Life 2015-01-09 17:14:53 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Peter Hatina 2015-01-12 01:48:07 EST
Please, if you encounter the same problem again, feel free to reopen this bug report.

Note You need to log in before you can comment on or make changes to this bug.